Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 8.1 API Reference

## weblogic.apache.xerces.parsers
Class DOMBuilderImpl

    java.lang.Object
      |
      +--weblogic.apache.xerces.parsers.XMLParser
            |
            +--weblogic.apache.xerces.parsers.AbstractXMLDocumentParser
                  |
                  +--weblogic.apache.xerces.parsers.AbstractDOMParser
                        |
                        +--weblogic.apache.xerces.parsers.DOMBuilderImpl

Direct Known Subclasses:
  DOMASBuilderImpl

public class DOMBuilderImpl
extends AbstractDOMParser
implements org.w3c.dom.ls.DOMBuilder

This is Xerces DOM Builder class. It uses the abstract DOM parser with a document scanner, a dtd scanner, and a validator, as well as a grammar pool.

Field Summary
`protected static boolean` | `DEBUG`
`protected static java.lang.String` | `DTD_VALIDATION`
`protected static java.lang.String` | `DYNAMIC_VALIDATION` Dynamic validation
`protected DOMErrorHandlerWrapper` | `fErrorHandler`
`protected java.lang.String` | `fSchemaType`
`protected static java.lang.String` | `NAMESPACES` Feature identifier: namespaces.
`protected static java.lang.String` | `VALIDATION_FEATURE` Feature id: validation.
`protected static java.lang.String` | `XML_SCHEMA_VALIDATION`
`protected static java.lang.String` | `XMLSCHEMA` XML Schema validation

Fields inherited from class weblogic.apache.xerces.parsers.AbstractDOMParser
`CORE_DOCUMENT_CLASS_NAME, CREATE_CDATA_NODES_FEATURE, CREATE_ENTITY_REF_NODES, CURRENT_ELEMENT_NODE, DEFAULT_DOCUMENT_CLASS_NAME, DEFER_NODE_EXPANSION, DOCUMENT_CLASS_NAME, fBaseURIStack, fCreateCDATANodes, fCreateEntityRefNodes, fCurrentCDATASection, fCurrentCDATASectionIndex, fCurrentEntityDecl, fCurrentNode, fCurrentNodeIndex, fDeferNodeExpansion, fDeferredDocumentImpl, fDeferredEntityDecl, fDocument, fDocumentClassName, fDocumentImpl, fDocumentIndex, fDocumentType, fDocumentTypeIndex, fDOMFilter, fFilterReject, fFirstChunk, fInCDATASection, fIncludeComments, fIncludeIgnorableWhitespace, fInDocument, fInDTD, fInDTDExternalSubset, fInternalSubset, fNamespaceAware, fNormalizeData, fRejectedElement, fSkippedElemStack, fStorePSVI, fStringBuffer, INCLUDE_COMMENTS_FEATURE, INCLUDE_IGNORABLE_WHITESPACE, NAMESPACES, NORMALIZE_DATA, PSVI_DOCUMENT_CLASS_NAME`

Fields inherited from class weblogic.apache.xerces.parsers.AbstractXMLDocumentParser
`fDocumentSource, fInDTD`

Fields inherited from class weblogic.apache.xerces.parsers.XMLParser
`ENTITY_RESOLVER, ERROR_HANDLER, fConfiguration`

Constructor Summary
`DOMBuilderImpl(java.lang.String configuration, java.lang.String schemaType)` Constructs a DOM Builder using the standard parser configuration.
`DOMBuilderImpl(SymbolTable symbolTable)` Constructs a DOM Builder using the specified symbol table.
`DOMBuilderImpl(SymbolTable symbolTable, XMLGrammarPool grammarPool)` Constructs a DOM Builder using the specified symbol table and grammar pool.
`DOMBuilderImpl(XMLParserConfiguration config)` Constructs a DOM Builder using the specified parser configuration.

Method Summary
`boolean` | `canSetFeature(java.lang.String name, boolean state)` Query whether setting a feature to a specific value is supported.
`void` | `endDocument(Augmentations augs)` Overwrite endDocument call to copy some information required for re-validation of DOM tree.
`org.w3c.dom.ls.DOMEntityResolver` | `getEntityResolver()` If a `DOMEntityResolver` has been specified, each time a reference to an external entity is encountered the `DOMBuilder` will pass the public and system IDs to the entity resolver, which can then specify the actual source of the entity.
`org.apache.xerces.dom3.DOMErrorHandler` | `getErrorHandler()` In the event that an error is encountered in the XML document being parsed, the `DOMDcoumentBuilder` will call back to the `errorHandler` with the error information.
`boolean` | `getFeature(java.lang.String name)` Look up the value of a feature.
`org.w3c.dom.ls.DOMBuilderFilter` | `getFilter()` When the application provides a filter, the parser will call out to the filter at the completion of the construction of each `Element` node.
`protected void` | `initGrammarPool()`
`org.w3c.dom.Document` | `parse(org.w3c.dom.ls.DOMInputSource is)` Parse an XML document from a resource identified by an `DOMInputSource`.
`org.w3c.dom.Document` | `parseURI(java.lang.String uri)` Parse an XML document from a location identified by an URI reference.
`void` | `parseWithContext(org.w3c.dom.ls.DOMInputSource is, org.w3c.dom.Node cnode, short action)` Parse an XML document or fragment from a resource identified by an `DOMInputSource` and insert the content into an existing document at the position epcified with the `contextNode` and `action` arguments.
`void` | `reset()` Resets the parser state.
`void` | `setEntityResolver(org.w3c.dom.ls.DOMEntityResolver entityResolver)` If a `DOMEntityResolver` has been specified, each time a reference to an external entity is encountered the `DOMBuilder` will pass the public and system IDs to the entity resolver, which can then specify the actual source of the entity.
`void` | `setErrorHandler(org.apache.xerces.dom3.DOMErrorHandler errorHandler)` In the event that an error is encountered in the XML document being parsed, the `DOMDcoumentBuilder` will call back to the `errorHandler` with the error information.
`void` | `setFeature(java.lang.String name, boolean state)` Set the state of a feature.
`void` | `setFilter(org.w3c.dom.ls.DOMBuilderFilter filter)` When the application provides a filter, the parser will call out to the filter at the completion of the construction of each `Element` node.

Methods inherited from class weblogic.apache.xerces.parsers.AbstractDOMParser
`attributeDecl, characters, comment, createAttrNode, createElementNode, doctypeDecl, elementDecl, emptyElement, endAttlist, endCDATA, endConditional, endDTD, endElement, endExternalSubset, endGeneralEntity, endParameterEntity, endPrefixMapping, externalEntityDecl, getDocument, getDocumentClassName, handleBaseURI, handleBaseURI, ignorableWhitespace, ignoredCharacters, internalEntityDecl, notationDecl, processingInstruction, setCharacterData, setDocumentClassName, startAttlist, startCDATA, startConditional, startDocument, startDTD, startElement, startExternalSubset, startGeneralEntity, startParameterEntity, startPrefixMapping, textDecl, unparsedEntityDecl, xmlDecl`

Methods inherited from class weblogic.apache.xerces.parsers.AbstractXMLDocumentParser
`any, element, empty, endContentModel, endGroup, getDocumentSource, occurrence, pcdata, separator, setDocumentSource, startContentModel, startGroup`

Methods inherited from class weblogic.apache.xerces.parsers.XMLParser
`parse`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### NAMESPACES

    protected static final java.lang.String NAMESPACES

  Feature identifier: namespaces.

### VALIDATION_FEATURE

    protected static final java.lang.String VALIDATION_FEATURE

  Feature id: validation.

### XMLSCHEMA

    protected static final java.lang.String XMLSCHEMA

  XML Schema validation

### DYNAMIC_VALIDATION

    protected static final java.lang.String DYNAMIC_VALIDATION

  Dynamic validation

### XML_SCHEMA_VALIDATION

    protected static final java.lang.String XML_SCHEMA_VALIDATION

### DTD_VALIDATION

    protected static final java.lang.String DTD_VALIDATION

### fSchemaType

    protected java.lang.String fSchemaType

### DEBUG

    protected static final boolean DEBUG

### fErrorHandler

    protected DOMErrorHandlerWrapper fErrorHandler

Constructor Detail

### DOMBuilderImpl

    public DOMBuilderImpl(java.lang.String configuration,
                          java.lang.String schemaType)

  Constructs a DOM Builder using the standard parser configuration.

### DOMBuilderImpl

    public DOMBuilderImpl(XMLParserConfiguration config)

  Constructs a DOM Builder using the specified parser configuration.

### DOMBuilderImpl

    public DOMBuilderImpl(SymbolTable symbolTable)

  Constructs a DOM Builder using the specified symbol table.

### DOMBuilderImpl

    public DOMBuilderImpl(SymbolTable symbolTable,
                          XMLGrammarPool grammarPool)

  Constructs a DOM Builder using the specified symbol table and grammar pool.

Method Detail

### reset

    public void reset()

  Resets the parser state.

  Throws:
    SAXException - Thrown on initialization error.
  Overrides:
    reset in class AbstractDOMParser

### getEntityResolver

    public org.w3c.dom.ls.DOMEntityResolver getEntityResolver()

  If a `DOMEntityResolver` has been specified, each time a reference to an external entity is encountered the `DOMBuilder` will pass the public and system IDs to the entity resolver, which can then specify the actual source of the entity.
  Specified by:
    getEntityResolver in interface org.w3c.dom.ls.DOMBuilder

### setEntityResolver

    public void setEntityResolver(org.w3c.dom.ls.DOMEntityResolver entityResolver)

  If a `DOMEntityResolver` has been specified, each time a reference to an external entity is encountered the `DOMBuilder` will pass the public and system IDs to the entity resolver, which can then specify the actual source of the entity.
  Specified by:
    setEntityResolver in interface org.w3c.dom.ls.DOMBuilder

### getErrorHandler

    public org.apache.xerces.dom3.DOMErrorHandler getErrorHandler()

  In the event that an error is encountered in the XML document being parsed, the `DOMDcoumentBuilder` will call back to the `errorHandler` with the error information. When the document loading process calls the error handler the node closest to where the error occured is passed to the error handler if the implementation, if the implementation is unable to pass the node where the error occures the document Node is passed to the error handler. Mutations to the document from within an error handler will result in implementation dependent behavour.
  Specified by:
    getErrorHandler in interface org.w3c.dom.ls.DOMBuilder

### setErrorHandler

    public void setErrorHandler(org.apache.xerces.dom3.DOMErrorHandler errorHandler)

  In the event that an error is encountered in the XML document being parsed, the `DOMDcoumentBuilder` will call back to the `errorHandler` with the error information. When the document loading process calls the error handler the node closest to where the error occured is passed to the error handler if the implementation, if the implementation is unable to pass the node where the error occures the document Node is passed to the error handler. Mutations to the document from within an error handler will result in implementation dependent behavour.
  Specified by:
    setErrorHandler in interface org.w3c.dom.ls.DOMBuilder

### getFilter

    public org.w3c.dom.ls.DOMBuilderFilter getFilter()

  When the application provides a filter, the parser will call out to the filter at the completion of the construction of each `Element` node. The filter implementation can choose to remove the element from the document being constructed (unless the element is the document element) or to terminate the parse early. If the document is being validated when it's loaded the validation happens before the filter is called.
  Specified by:
    getFilter in interface org.w3c.dom.ls.DOMBuilder

### setFilter

    public void setFilter(org.w3c.dom.ls.DOMBuilderFilter filter)

  When the application provides a filter, the parser will call out to the filter at the completion of the construction of each `Element` node. The filter implementation can choose to remove the element from the document being constructed (unless the element is the document element) or to terminate the parse early. If the document is being validated when it's loaded the validation happens before the filter is called.
  Specified by:
    setFilter in interface org.w3c.dom.ls.DOMBuilder

### setFeature

    public void setFeature(java.lang.String name,
                           boolean state)
                    throws org.w3c.dom.DOMException

  Set the state of a feature.
  The feature name has the same form as a DOM hasFeature string.
  It is possible for a `DOMBuilder` to recognize a feature name but to be unable to set its value.
  Specified by:
    setFeature in interface org.w3c.dom.ls.DOMBuilder

  Parameters:
    `name` - The feature name.
    `state` - The requested state of the feature (`true` or `false`).
  Throws:
    org.w3c.dom.DOMException - Raise a NOT_SUPPORTED_ERR exception when the `DOMBuilder` recognizes the feature name but cannot set the requested value.
    Raise a NOT_FOUND_ERR When the `DOMBuilder` does not recognize the feature name.

### canSetFeature

    public boolean canSetFeature(java.lang.String name,
                                 boolean state)

  Query whether setting a feature to a specific value is supported.
  The feature name has the same form as a DOM hasFeature string.
  Specified by:
    canSetFeature in interface org.w3c.dom.ls.DOMBuilder

  Parameters:
    `name` - The feature name, which is a DOM has-feature style string.
    `state` - The requested state of the feature (`true` or `false`).
  Returns:
    `true` if the feature could be successfully set to the specified value, or `false` if the feature is not recognized or the requested value is not supported. The value of the feature itself is not changed.

### getFeature

    public boolean getFeature(java.lang.String name)
                       throws org.w3c.dom.DOMException

  Look up the value of a feature.
  The feature name has the same form as a DOM hasFeature string
  Specified by:
    getFeature in interface org.w3c.dom.ls.DOMBuilder

  Parameters:
    `name` - The feature name, which is a string with DOM has-feature syntax.
  Returns:
    The current state of the feature (`true` or `false`).
  Throws:
    org.w3c.dom.DOMException - Raise a NOT_FOUND_ERR When the `DOMBuilder` does not recognize the feature name.

### parseURI

    public org.w3c.dom.Document parseURI(java.lang.String uri)

  Parse an XML document from a location identified by an URI reference. If the URI contains a fragment identifier (see section 4.1 in ), the behavior is not defined by this specification.
  Specified by:
    parseURI in interface org.w3c.dom.ls.DOMBuilder

### parse

    public org.w3c.dom.Document parse(org.w3c.dom.ls.DOMInputSource is)

  Parse an XML document from a resource identified by an `DOMInputSource`.
  Specified by:
    parse in interface org.w3c.dom.ls.DOMBuilder

### initGrammarPool

    protected void initGrammarPool()

### parseWithContext

    public void parseWithContext(org.w3c.dom.ls.DOMInputSource is,
                                 org.w3c.dom.Node cnode,
                                 short action)
                          throws org.w3c.dom.DOMException

  Parse an XML document or fragment from a resource identified by an `DOMInputSource` and insert the content into an existing document at the position epcified with the `contextNode` and `action` arguments. When parsing the input stream the context node is used for resolving unbound namespace prefixes.
  Specified by:
    parseWithContext in interface org.w3c.dom.ls.DOMBuilder

  Parameters:
    `is` - The `DOMInputSource` from which the source document is to be read.
    `cnode` - The `Node` that is used as the context for the data that is being parsed.
    `action` - This parameter describes which action should be taken between the new set of node being inserted and the existing children of the context node. The set of possible actions is defined above.
  Throws:
    org.w3c.dom.DOMException - HIERARCHY_REQUEST_ERR: Thrown if this action results in an invalid hierarchy (i.e. a Document with more than one document element).

### endDocument

    public void endDocument(Augmentations augs)
                     throws XNIException

  Overwrite endDocument call to copy some information required for re-validation of DOM tree.

  Parameters:
    `augs` -
  Throws:
    XNIException -
  Overrides:
    endDocument in class AbstractDOMParser

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs81
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD